### Name: dist-access
### Title: Accessing and Converting Objects of Class "dist"
### Aliases: as.data.frame.discDist as.vector.discDist as.matrix.discDist
###   length,discDist-method [.discDist [[.discDist [.contDist [<-.contDist
###   [.tDist [<-.tDist
### Keywords: manip

### ** Examples

## converting "discDist" objects
nucleo <- new("discDist",alpha=c("A","C","G","T"),prob=rep(0.25,times=4))
nucleo.vec <- as.vector(nucleo)
nucleo.mat <- as.matrix(nucleo)
nucleo.df <- as.data.frame(nucleo)

## get number of symbols in alphabet
len <- length(nucleo)   # = 4

## get probability for symbol 'A'
nucleo['A']  # = 0.25

## accessing tDist objects
mydt <- new("tDist", mean=0, var=1, df=3)

## evaluate density function
mydt[, 2]  # = 0.06750966
mydt[, 1000] # = 3.307954e-12
mydt[, 1000, log=TRUE]  # = -26.43469

## access parameter values
mydt[, "mean"]   # = 0




