### Name: forward
### Title: Computation of Forward and Backward Variables
### Aliases: forward backward forward,hmm-method backward,hmm-method
### Keywords: misc

### ** Examples

## create two state HMM with t distributions
state.names <- c("one","two")
transition <- c(0.1, 0.02)
location <- c(1, 2)
scale <- c(1, 1)
df <- c(4, 6)
model <- getHMM(list(a=transition, mu=location, sigma=scale, nu=df), 
    state.names)

## obtain observation sequence from model
obs <- sampleSeq(model, 100)

## calculate the probability of the observation given the model
fwd <- forward(model, obs)
fwd$logProb

## compute posterior probabilities
bwd <- backward(model,obs)
post <- bwd + fwd$alpha.scaled
post <- t(t(post) - apply(post,2,logSum))

## get sequence of most likely states
state.seq <- state.names[apply(post,2,which.max)]



