### Name: hmm.setup
### Title: Create HMM from Initial Parameter Estimates Obtained from Data
### Aliases: hmm.setup
### Keywords: utilities

### ** Examples

## create two state HMM with t distributions
state.names <- c("one","two")
transition <- c(0.035, 0.01)
location <- c(-1, 2)
scale <- c(1, 1)
df <- c(4, 6)
hmm <- getHMM(list(a=transition, mu=location, sigma=scale, nu=df), 
    state.names)

## obtain observation sequence from model
obs <- sampleSeq(hmm, 500)

## build model from data
model <- hmm.setup(obs, state = c("one", "two"),df=5)



