### Name: states
### Title: State Names of Hidden Markov Model
### Aliases: states states,hmm-method
### Keywords: misc

### ** Examples

## create two state HMM with t distributions
state.names <- c("one","two")
transition <- c(0.1, 0.02)
location <- c(1, 2)
scale <- c(1, 1)
df <- c(4, 6)
model <- getHMM(list(a=transition, mu=location, sigma=scale, nu=df), 
    state.names)

## obtain observation sequence from model
obs <- sampleSeq(model, 100, return.states=TRUE)

## compute most likely state sequence for obs
## return sequence of state indices instead of names
vit.res <- viterbi(model, obs$observation, names=FALSE)

## get sequence of state names via call to 'states'
state.seq <- states(model)[vit.res$stateSeq]



